/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __MEMO_TEXT_EDITOR_H__
#define __MEMO_TEXT_EDITOR_H__

void memo_text_editor_time_format_update(void *h_de);
void memo_text_editor_cancel(void *h_te);
void memo_text_editor_save(void *h_te);
void *memo_load_text_editor(Evas_Object *win, Evas_Object *parent, service_h service, Memo_Component_Callback cb, void *data);
void memo_destroy_text_editor(void *h_te);

#endif                /* __MEMO_TEXT_EDITOR_H__ */
