/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/
#ifndef __MEMO_SG_H__
#define __MEMO_SG_H__

#include <glib.h>
//#include <sil.h>
#include <bundle.h>
#include <ui-gadget.h>
#include <stdarg.h>
#include <Elementary.h>
#include <memo-assist.h>


/* UG Name */
#define UG_NAME_EMAIL            "email-composer-efl"
#define UG_NAME_MESSAGE          "msg-composer-efl"
#define UG_NAME_CONTACT_ADD      "contacts-details-efl"
#define UG_NAME_CALENDAR         "calendar-edit-efl"

/* AUL NAME */
#define AUL_NAME_CALENDER        PACKAGE_PREFIX".efl-calendar"
#define AUL_NAME_VIOCE_CALL      PACKAGE_PREFIX".call"
#define AUL_NAME_VEDIO_CALL      PACKAGE_PREFIX".vtmain"

/* UG Function Declaration*/
void ug_launch_common(service_h service, char *ug_name);
void ug_launch_common_var(char *ug_name, ...);

#endif                /* __MEMO_SG_H__ */
